ShopSorting = {}
addModEventListener(ShopSorting)

function ShopSorting:loadMap(name)
    -- Retrieve the list of shop items
    local shopItems = g_storeManager:getItems()

    -- Sort the items by price in ascending order
    table.sort(shopItems, function(left, right)
        return left.price < right.price
    end)

    -- Update each item's ID based on the sorted order
    for index, item in ipairs(shopItems) do
        item.id = index  -- Assign the index as the new ID
    end

    -- Print sorted items for verification
    print("Shop items sorted by price (lowest to highest):")
    for _, item in ipairs(shopItems) do
        print("ID: " .. item.id .. ", Name: " .. (item.name or "Unknown") .. ", Price: $" .. item.price)
    end
end
